// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import UIKit

class ErrorViewController: UIViewController {
	var errors: [Error] = [] { didSet { errorsDidChange() }}

	let label: UILabel = UILabel().autolayout()
	let imageView: UIImageView = UIImageView().autolayout()
	let stack = UIStackView().autolayout()

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
		stack.axis = .vertical
        stack.alignment = .center
        stack.distribution = .equalCentering
        stack.spacing = 10.0

		imageView.image = UIImage(systemName: "exclamationmark.triangle.fill")
        imageView.widthAnchor.constraint(equalTo: imageView.heightAnchor).isActive = true
        imageView.widthAnchor.constraint(equalToConstant: 44.0).isActive = true
        imageView.tintColor = .systemRed

		label.numberOfLines = 5
//        label.widthAnchor.constraint(equalTo: self.view.widthAnchor, constant: 10).isActive = true
//        label.heightAnchor.constraint(equalTo: imageView.heightAnchor, multiplier: 2).isActive = true

        stack.addArrangedSubview(imageView)
        stack.addArrangedSubview(label)

        errorsDidChange()

        view.addSubview(stack)
        stack.centerInSuperview()
    }

	func errorsDidChange() {
//		print("Errors: \(errors)")
		label.text = errors.map { $0.localizedDescription }.joined(separator: "\n")
	}
}
