// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import Foundation

enum DiffSelection: CustomStringConvertible, CaseIterable {
	case left
	case merge
	case right

	var shortDescription: String {
		switch self {
		case .merge: return "merge"
		case .left: return "left"
		case .right: return "right"
		}
	}

    var description: String {
        switch self {
        case .left:
            return L10n.SampleSolution.Diffing.left
        case .merge:
            return L10n.SampleSolution.Diffing.merge
        case .right:
            return L10n.SampleSolution.Diffing.right
        }
    }

	var index: Int {
		Self.allCases.firstIndex(of: self) ?? 0
	}
}
