// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import SwiftUI

class SettingsViewController: UIHostingController<SettingsView> {
    init() {
        let root = SettingsView()
        super.init(rootView: root)
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(true)

        self.navigationItem.title = L10n.Settings.title
        if #available(iOS 14.0, *), modalPresentationStyle != .popover {
            self.navigationItem.setRightBarButton(
                UIBarButtonItem(
                    systemItem: .done,
                    primaryAction: UIAction { [unowned self] _ in
                        self.dismiss(animated: true, completion: nil)
                    },
                    menu: nil
                ),
                animated: false
            )
        }
    }

    @objc required dynamic init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
