// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import os.log
import Foundation

extension OSLog {

    private static var subsystem = Bundle.main.bundleIdentifier!

    static let appDelegate = OSLog(subsystem: subsystem, category: "AppDelegate")
    static let shibboleth = OSLog(subsystem: subsystem, category: "Shibboleth")
    static let correctionUI = OSLog(subsystem: subsystem, category: "CorrectionUI")
    static let loadingUI = OSLog(subsystem: subsystem, category: "LoadingUI")
	static let undoRedo = OSLog(subsystem: subsystem, category: "Undo")
	// swiftlint:disable identifier_name
	static let ui = OSLog(subsystem: subsystem, category: "UI")

    static let measure = OSLog(subsystem: subsystem, category: "Measure")
	static let solution = OSLog(subsystem: subsystem, category: "SampleSolution")
}
