// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import CoreImage

class LABInvertFilter: CIFilter {
    var inputImage: CIImage?

    static var kernel: CIColorKernel = { () -> CIColorKernel in
        let url = Bundle.main.url(forResource: "LABInvertKernel", withExtension: "ci.metallib")!
        // swiftlint:disable force_try
        let data = try! Data(contentsOf: url)
        return try! CIColorKernel(functionName: "LABInvert", fromMetalLibraryData: data)
        //swiftlint:enable force_try
    }()

    override var outputImage: CIImage? {
        guard let input = inputImage else { return nil }
        return LABInvertFilter.kernel.apply(extent: input.extent, arguments: [input])
    }
}
