// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import UIKit
import Combine
import TUMexamKit

class GlobalDrawingOptions {
	class ToolOptions {
		let lineWidthMin: CGFloat
		let lineWidthMax: CGFloat

        let supportsPressureSensitiveLineWidth: Bool

		@Published var lineWidth: CGFloat

        init(lineWidth: CGFloat,
             lineWidthMin: CGFloat,
             lineWidthMax: CGFloat,
             supportsPressureSensitiveLineWidth: Bool = false) {
			self.lineWidth = lineWidth

			self.lineWidthMin = lineWidthMin
			self.lineWidthMax = lineWidthMax

            self.supportsPressureSensitiveLineWidth = supportsPressureSensitiveLineWidth
		}
	}

	var pen = ToolOptions(lineWidth: 5, lineWidthMin: 2, lineWidthMax: 20, supportsPressureSensitiveLineWidth: true)
    var highlighter = ToolOptions(lineWidth: 60, lineWidthMin: 30, lineWidthMax: 120)
	var eraser = ToolOptions(lineWidth: 60, lineWidthMin: 30, lineWidthMax: 120)
	var lasso = ToolOptions(lineWidth: 5, lineWidthMin: 2, lineWidthMax: 20)

    @Published var pressureSensitiveLineWidth = false
}
