// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import UIKit

class ActiveStrokeLayer: BaseLayer {
    let stroke: ActiveStroke
    let drawingSize: CGSize

    init(stroke: ActiveStroke, drawingSize: CGSize) {
        self.stroke = stroke
        self.drawingSize = drawingSize
        super.init()

        setup()
    }

    override init(layer: Any) {
        if let other = layer as? ActiveStrokeLayer {
            self.stroke = other.stroke
            self.drawingSize = other.drawingSize
        } else {
            fatalError("Cannot copy Instance Variables from different layer type")
        }
        super.init(layer: layer)
    }

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    func strokeChanged() {

    }

    func referenceSize() -> CGSize {
        return bounds.size.normalizedIn(size: drawingSize)
    }
}
