// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import UIKit

class DrawingToolbar: UIView {

    enum Item {
        case empty
        case subproblem

        case pen
        case highlighter
        case eraser
        case separator
    }

    let toolStack = UIStackView().autolayout()
    let toolbar = UIToolbar().autolayout()

    override init(frame: CGRect) {
        super.init(frame: frame)
        setup()
    }

    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    private func setup() {
//        addSubview(toolStack)
//        toolStack.pinToEdges(withInsets: .init(top: 8, left: 10, bottom: 8, right: 10))
//        toolStack.axis = .horizontal
//        toolStack.distribution = .equalSpacing
//        toolStack.alignment = .center
        addSubview(toolbar)
        toolbar.pinToEdges()
//        let app = UIToolbarAppearance()
//        app.configureWithTransparentBackground()
//        app.backgroundColor = .white
//        toolbar.standardAppearance = app
    }

}
