// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import Foundation
import Logging

let logIdentifier = "de.tum.in.www1.tumexam.kit"

extension Logger {
    static let cache = Logger(label: logIdentifier + ".cache")
    static let shibboleth = Logger(label: logIdentifier + ".shibboleth")
    static let network = Logger(label: logIdentifier + ".network")
    static let correction = Logger(label: logIdentifier + ".correction")
    static let dataSource = Logger(label: logIdentifier + ".dataSource")
    static let lockManager = Logger(label: logIdentifier + ".lockManager")
    static let submission = Logger(label: logIdentifier + ".submission")
    static let solution = Logger(label: logIdentifier + ".solution")
    static let snippet = Logger(label: logIdentifier + ".snippet")
    static let imageLoading = Logger(label: logIdentifier + ".imageLoading")
}
