// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import Foundation

class UpdateInfoResource: ModelResource<UpdateInfoModel> {

    override func decoder() -> JSONDecoder {
        let decoder = JSONDecoder()
        decoder.keyDecodingStrategy = .convertFromSnakeCase
        return decoder
    }

    override func createTask(session: URLSession, networking: Networking) -> URLSessionTask {
        let urlString = "https://tumexam.de/app_latest.json"
        let url = URL(string: urlString)!
        let task = session.dataTask(with: url)

        return task
    }
}

class UpdateEnforcementResource: ModelResource<UpdateEnforcementModel> {
    override var path: String { "ipad-version" }
}
