// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

import Foundation

class Metadata: KitObject<MetadataIdentifier> {
    var model: MetadataModel?
    lazy var resource: MetadataResource = createDelegatedResource()
    var state: Observable<ResourceObjectState> = Observable(.idle)

    var name = Observable<String?>()

    func createResource() -> MetadataResource {
        return MetadataResource(in: kit!)
    }

    func update(using model: MetadataModel) {
        self.model = model
        self.name.value = model.name
    }
}

extension Metadata: ModelResourceKitObjectType { }
extension Metadata: MetadataType { }
