// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

@testable import TUMexamKit

import Foundation
import Quick
import Nimble

class CorrectionControllerTests: QuickSpec {
    override func spec() {
        describe("the correction controller") {
            context("problem filter") {
                it("fetches") {
                    let kit = createTestKit()
                    let identifier = ExamProblemPassIdentifier(exam: 1, problem: 1, pass: 1)
                    let controller: CorrectionController = CorrectionController(identifier: 1, kit: kit)

                    expect(controller).toNot(beNil())

                    controller.load()

                    expect(controller.state.value).toEventually(equal(.loaded), timeout: 10.0)

                    print(controller.corrections.value)

                    //					expect(controller.currentPaginationHasMore).to(beTrue())

                    let prevCount = controller.corrections.value.count

                    controller.loadMore()

                    expect(controller.corrections.value.count).toEventually(beGreaterThan(prevCount), timeout: 10.0)

                    print(controller.corrections)
                }
            }
        }
    }
}
