// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

@testable import TUMexamKit

import Foundation
import Quick
import Nimble

class ExamListTests: QuickSpec {
    override func spec() {
        describe("the exam list") {
            it("is initialized with the kit") {
                let kit = createTestKit()

                expect(kit.examList).toNot(beNil())
                expect(kit.examList.exams.value).to(beEmpty())
            }

            it("loads the exam list") {
                let kit = createTestKit()
                let examList = kit.examList

                examList.load()

                expect(examList.exams.value).toEventuallyNot(beEmpty(), timeout: 10.0)

                kit.dumpObjects()
            }
        }
    }
}
