// Copyright 2018-2022 Chair of Network Architectures and Services
//                     Technical University of Munich
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

@testable import TUMexamKit

import Foundation
import Quick
import Nimble

class KitTests: QuickSpec {
    override func spec() {
        describe("the kit") {
            it("initializes correctly") {
                let sampleURL = URL(string: "https://example.com")!
                let kit = Kit(backendURL: sampleURL)

                expect(kit.backendURL).to(equal(sampleURL))
            }

            it("can load stuff") {
                let url = URL(string: "https://2019ws-dev-ipad.hq.tumexam.de")!
                let kit = Kit(backendURL: url)

                #warning("Testing won't work (a different auth method would be required)")
                //				kit.networking.addHardcodedCookies()

                let sol = SolutionImageResource(ExamPageIdentifier(exam: 1, page: 1), in: kit)
                sol.load()
                expect(sol.value).toEventuallyNot(beNil(), timeout: 10.0)
            }
        }
    }
}
